package com.bonus.canteen.core.customer.po;

import io.swagger.annotations.ApiModel;

import java.time.LocalDate;
import java.util.List;

@ApiModel("连带修改子组织入参")
public class UpdateChildOrgPO {
   private String oldOrgFullName;
   private String orgFullName;
   private String oldOrgFullId;
   private String orgFullId;
   private Integer diffLevel;
   private LocalDate endDate;
   private List<Long> childOrgIdList;

   public String getOldOrgFullName() {
      return this.oldOrgFullName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public String getOldOrgFullId() {
      return this.oldOrgFullId;
   }

   public String getOrgFullId() {
      return this.orgFullId;
   }

   public Integer getDiffLevel() {
      return this.diffLevel;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public List<Long> getChildOrgIdList() {
      return this.childOrgIdList;
   }

   public UpdateChildOrgPO setOldOrgFullName(final String oldOrgFullName) {
      this.oldOrgFullName = oldOrgFullName;
      return this;
   }

   public UpdateChildOrgPO setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
      return this;
   }

   public UpdateChildOrgPO setOldOrgFullId(final String oldOrgFullId) {
      this.oldOrgFullId = oldOrgFullId;
      return this;
   }

   public UpdateChildOrgPO setOrgFullId(final String orgFullId) {
      this.orgFullId = orgFullId;
      return this;
   }

   public UpdateChildOrgPO setDiffLevel(final Integer diffLevel) {
      this.diffLevel = diffLevel;
      return this;
   }

   public UpdateChildOrgPO setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
      return this;
   }

   public UpdateChildOrgPO setChildOrgIdList(final List<Long> childOrgIdList) {
      this.childOrgIdList = childOrgIdList;
      return this;
   }



}
